View Issue Details

IDProjectCategoryView StatusLast Update
0034345FPCCompilerpublic2018-09-30 06:42
ReporterAlfredAssigned ToFlorian 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.3.1Product Buildtrunk latest 
Target VersionFixed in Version3.3.1 
Summary0034345: Mipsel embedded not allowed according to OSCPUSupported, but Makefile allows
DescriptionInside fpmkunit.pp, the OSCPUSupported : array[TOS,TCpu] contains a false for the combi mipsel-embedded
However, the Makefile allows this combi.
Besides, this is a valid combi after all AFAIK.
Additional InformationOSCPUSupported : array[TOS,TCpu] of boolean = (
    { os none i386 m68k ppc sparc x86_64 arm ppc64 avr armeb mips mipsel jvm i8086 aarch64 sparc64}
    { embedded }( false, true, true, true, true, true, true, true, true, true , false, false, false, true , false, false),
TagsNo tags attached.
Fixed in Revision39839
FPCOldBugId
FPCTarget
Attached Files

Activities

Alfred

2018-09-30 06:42

reporter   ~0111097

Thanks.

Issue History

Date Modified Username Field Change
2018-09-27 09:36 Alfred New Issue
2018-09-28 22:55 Florian Fixed in Revision => 39839
2018-09-28 22:55 Florian Status new => resolved
2018-09-28 22:55 Florian Fixed in Version => 3.3.1
2018-09-28 22:55 Florian Resolution open => fixed
2018-09-28 22:55 Florian Assigned To => Florian
2018-09-30 06:42 Alfred Note Added: 0111097
2018-09-30 06:42 Alfred Status resolved => closed